@font-face {
    font-family: "Inter";
    src: url(../assets/fonts/inter/Inter_18pt-Regular.ttf);
}

@font-face {
    font-family: "Inter_bold";
    src: url(../assets/fonts/inter/Inter_18pt-Bold.ttf);
}

.sidebar {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    min-height: 100vh;
    z-index: 30;
    font-weight: 400;
    font-size: 16px;
    line-height: 120%;
    min-width: 232px;
    max-height: 100vh;
    background-color: #2A3647;
}

.body {
    display: flex;
    font-family: "Inter";
    overflow-x: hidden;
}

article {
    display: flex;
    flex-direction: column;
    flex: 1;
}

.sidebar-nav {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.sidebar-nav .active {
    background-color: #091931;
}

.sidebar-nav a:hover {
    transform: translate(0.5px, -0.5px);
    margin-right: 1px;
    background-color: #2A3D59;
}

.sidebar_upper_section {
    display: flex;
    flex-direction: column;
    gap: 150px;
}

.sidebar-nav-section {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    color: #CDCDCD;
    padding: 8px 56px;
    gap: 10px;
}

.sidebar-nav-section.active {
    color: white;
}

.nav-icons {
    height: 30px;
    aspect-ratio: 1;
}

.logo {
    width: 100px;
    margin-top: 64px;
}

.sidebar-footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 64px;
    gap: 8px;
}

.sidebar-footer a {
    color: #A8A8A8;
    padding: 8px;
}

.sidebar-footer a:hover {
    color: #29ABE2;
    font-weight: 600;
}

.header {
    position: sticky;
    top: 0px;
    box-shadow: 2px 4px 8px rgba(0, 0, 0, .2);
    z-index: 21;
    font-weight: 400;
    font-size: 20px;
    line-height: 120%;
}

.header-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-right: auto;
    padding-left: calc(348px - 232px);
    padding-right: 40px;
    padding-top: 20px;
    padding-bottom: 20px;
    max-width: calc(1440px - 388px);
}

.header-side-buttons {
    position: relative;
    display: flex;
    align-items: center;
    gap: 16px;
    line-height: 0;
    width: 200px;
    justify-content: flex-end;
}

.logo-section {
    display: flex;
    justify-content: center
}

.main-content {
    max-width: calc(1440px - 360px);
    padding: 0px 64px;
    background-color: #F6F7F8;
    height: 100%;
}

.current-selection {
    background-color: #091931;
}

.white-writing {
    color: #ffffff;
}

.sidebar-background-color {
    background-color: #2A3647;
}

.content-wrapper {
    max-width: 1440px;
    width: 100%;
    min-height: 100vh;
    display: flex;
    background: #f6f7f8;
}

.header {
    background-color: #FFFFFF;
}

.header-avatar {
    width: 56px;
    height: 56px;
    border-radius: 50%;
    background-color: #FFFFFF;
    border: 3px solid #2A3647;
    color: #29ABE2;
    font-size: 22px;
    font-weight: 700;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    user-select: none;
    box-sizing: border-box;
}

.header-avatar:hover {
    background-color: #CDCDCD;
}

.no-scroll{
    overflow: hidden;
    width: 100%;
    position: fixed;
    overscroll-behavior: none;
}

.avatar-wrapper {
    border: none;
    background: transparent;
    padding: 0;
    margin: 0;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.avatar-menu {
    position: absolute;
    top: 76px;             
    right: -20px; 
    background-color: #2A3647;
    border-radius: 20px 0 20px 20px;
    padding: 8px;
    display: none;
    flex-direction: column;
    box-shadow: 0 4px 8px rgba(0,0,0,0.15);
    z-index: 1000;
    transform: translateX(120%);
    transition: opacity 0.01s, transform 0.01s, visibility 0.01s;
    opacity: 0;
    pointer-events: none;
    visibility: hidden;
}

.show-avatar-menu {
    opacity: 1;
    transform: none;
    pointer-events: auto;
    visibility: visible;
}

.hidden {
    display: none;
}

.avatar-menu-item {
    background: transparent;
    border: none;
    color: #FFFFFF;
    font-size: 16px;
    font-family: Inter, sans-serif;
    text-align: left;
    cursor: pointer;
    padding: 16px;
}

.avatar-menu-item:hover {
    background-color: #2A3D59;
}

.help-icon {
    transition: transform 0.1s ease-in-out;
}

.help-icon:hover {
    transform: scale(1.2);
}

.hide-for-desktop {
    display: none;
}

.public-links {
    display: none;
    align-items: center;
    gap: 12px;
}